{ 
  hideflag
  ========
  Version 0.01
  * This program hides the Windows Vista Starter Edition watermark located at 
    the bottom-right corner of the screen. It just does that, no more, no 
	less. 
    Compile it with FreePascal (available at www.freepascal.org)
	Send comments, suggestions and bug reports to maurom1982@yahoo.com.ar
  * Este programa oculta la marca de agua de Windows Vista Starter Edition 
    ubicada en la esquina inferior derecha de la pantalla. Slo hace eso, ni 
	ms ni menos. 
	Compile con FreePascal (disponible en www.freepascal.org)
	Enve comentarios, sugerencias y fallos a maurom1982@yahoo.com.ar
}
program hideflag;

{$APPTYPE GUI}

uses
    Strings, Windows;

const
    WATERMARK_CLASS = 'CSWatermark';
    NOT_FOUND_MSG = 'Watermark not found';

var
    handle: longint;
    wndclass: array[0..255] of char;
    styles: longint;

begin
    handle := FindWindow(WATERMARK_CLASS, nil);
    while handle <> 0 do begin
        GetClassName(handle, wndclass, 250);
        if strcomp(wndclass, WATERMARK_CLASS) = 0 then begin
	        styles := GetWindowLong(handle, GWL_STYLE);
            if IsConsole then begin
                writeln('Watermark found (hwnd=', handle, ')');
                writeln('Class=', wndclass);
                writeln('Styles=', styles);
                writeln('Visible=', (styles and WS_VISIBLE) <> 0);
                writeln('Disabled=', (styles and WS_DISABLED) <> 0);
            end;
            if (styles and WS_VISIBLE <> 0) then begin
                styles := styles and not WS_VISIBLE;
                styles := styles or WS_DISABLED;
            end else begin
                styles := styles or WS_VISIBLE;
                styles := styles and not WS_DISABLED;
            end;
            SetWindowLong(handle, GWL_STYLE, styles);
            break;
        end;
        handle := GetWindow(handle, GW_HWNDNEXT);
    end;
    if handle = 0 then
        if IsConsole then
            writeln(NOT_FOUND_MSG)
        else
            MessageBox(0, NOT_FOUND_MSG, nil, 0);
end.
